Bug 818318 - Review Request: php-digitalsandwich-Phake - Phake is a PHP mocking framework that is based on Mockito
Review Request: php-digitalsandwich-Phake - Phake is a PHP mocking framework ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 818317
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 14:39 EDT by Christof Damian
Modified: 2012-06-25 20:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 20:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
review.txt (6.45 KB, text/plain)
2012-05-24 12:47 EDT, Remi Collet
fedora: review?
Details

  None (edit)
Description Christof Damian 2012-05-02 14:39:48 EDT
Spec URL: http://rpms.damian.net/SPECS/php-digitalsandwich-Phake.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-digitalsandwich-Phake-1.0.2-1.fc16.src.rpm
Description: Phake is a framework for PHP that aims to provide mock objects, test doubles and method stubs.
Comment 1 Remi Collet 2012-05-24 12:47:09 EDT
Created attachment 586673 [details]
review.txt

Generated by fedora-review 0.1.3
Comment 2 Remi Collet 2012-05-24 12:48:52 EDT
Should
- request upstream to add a LICENSE file in the archive installed with role="doc"
- clean EL-5 stuff (not an issue for me while EL-5 is not EOL)


*** APPROVED ***
Comment 3 Remi Collet 2012-05-24 13:01:52 EDT
Just see https://github.com/mlively/Phake

So you can request to add CHANGELOG, LICENSE and README with role="doc" and to add tests folder as role="test" (next step will be to add a %check in the spec to run this test suite), as this files are already there.

Or course, this doesn't change the "APPROVED" state
Comment 4 Christof Damian 2012-05-24 14:01:14 EDT
(In reply to comment #3)
> Just see https://github.com/mlively/Phake
> 
> So you can request to add CHANGELOG, LICENSE and README with role="doc" and
> to add tests folder as role="test" (next step will be to add a %check in the
> spec to run this test suite), as this files are already there.
> 
> Or course, this doesn't change the "APPROVED" state

thanks. 

I have created an issue on github: https://github.com/mlively/Phake/issues/64 and might create a pull request fixing this too.
Comment 5 Christof Damian 2012-05-24 14:05:04 EDT
New Package SCM Request
=======================
Package Name: php-digitalsandwich-Phake
Short Description: Phake is a PHP mocking framework that is based on Mockito
Owners: cdamian
Branches: el6 f16 f17
InitialCC:
Comment 6 Gwyn Ciesla 2012-05-24 15:15:40 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-06-15 09:22:46 EDT
php-digitalsandwich-Phake-1.0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-digitalsandwich-Phake-1.0.2-1.fc16
Comment 8 Fedora Update System 2012-06-15 20:03:25 EDT
php-digitalsandwich-Phake-1.0.2-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2012-06-25 20:49:55 EDT
php-digitalsandwich-Phake-1.0.2-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.